import { Job } from "bullmq";
interface WorkerConfig {
    queueName: string;
    concurrency?: number;
    onComplete?: (job: Job, stats: Record<string, string>) => Promise<void> | void;
    onDrained?: () => Promise<void> | void;
    simulate?: boolean;
}
export declare class WorkerManager {
    private config;
    private worker;
    private queue;
    constructor(config: WorkerConfig);
    private jobProcessor;
    close(): Promise<void>;
}
export {};
